This job view page is being replaced by Spyglass soon. Check out the new job view.
PRmortent: Promote PodDisruptionBudget to policy/v1
ResultFAILURE
Tests 1 failed / 0 succeeded
Started2021-03-04 05:38
Elapsed3m27s
Revisiona9343d2a7ace5ca830b3f77befe1c6e77f377e16
Refs 99290

Test Failures


Gubernator Internal Fatal XML Parse Error 0.00s

go run hack/e2e.go -v --test --test_args='--ginkgo.focus=Gubernator\sInternal\sFatal\sXML\sParse\sError$'
not well-formed (invalid token): line 38, column 0
				from junit_verify.xml

Filter through log files | View test history on testgrid


Error lines from build-log.txt

... skipping 471 lines ...
 	github.com/google/uuid v1.1.2
 	github.com/googleapis/gnostic v0.4.1
-	github.com/gorilla/context v1.1.1 // indirect
 	github.com/hashicorp/golang-lru v0.5.1
 	github.com/heketi/heketi v10.2.0+incompatible
 	github.com/heketi/tests v0.0.0-20151005000721-f3775cbcefd6 // indirect
Vendor Verify failed.
If you're seeing this locally, run the below command to fix your go.mod:
hack/update-vendor.sh
Your vendored results are different:
diff -Naupr -x BUILD -x 'AUTHORS*' -x 'CONTRIBUTORS*' vendor/k8s.io/api/go.sum /home/prow/go/src/k8s.io/kubernetes/_tmp/kube-vendor.v4jOMD/kubernetes/vendor/k8s.io/api/go.sum
--- vendor/k8s.io/api/go.sum	2021-03-04 05:38:48.046146342 +0000
+++ /home/prow/go/src/k8s.io/kubernetes/_tmp/kube-vendor.v4jOMD/kubernetes/vendor/k8s.io/api/go.sum	2021-03-04 05:41:04.097134502 +0000
... skipping 517 lines ...
 # github.com/gopherjs/gopherjs => github.com/gopherjs/gopherjs v0.0.0-20181017120253-0766667cb4d1
-# github.com/gorilla/context v1.1.1 => github.com/gorilla/context v1.1.1
-## explicit
 # github.com/gorilla/context => github.com/gorilla/context v1.1.1
 # github.com/gorilla/mux => github.com/gorilla/mux v1.8.0
 # github.com/gorilla/websocket v1.4.2 => github.com/gorilla/websocket v1.4.2
Vendor Verify failed.
If you're seeing this locally, run the below command to fix your directories:
hack/update-vendor.sh
These modules are pinned to versions different than the minimal preferred version.
That means that without replace directives, a different version would be selected,
which breaks consumers of our published modules.
1. Use hack/pin-dependency.sh to switch to the preferred version for each module
... skipping 4 lines ...
    pinned:    v0.0.0-20180327235837-af21d9c3145e
    preferred: v1.0.0
    hack/pin-dependency.sh github.com/golangplus/testing v1.0.0
All pinned versions of checked dependencies match their preferred version.
Removing /home/prow/go/src/k8s.io/kubernetes/_tmp/kube-vendor.v4jOMD
+++ exit code: 1
+++ error: 1
FAILED   verify-vendor.sh	131s
========================
FAILED TESTS
========================
hack/make-rules/../../hack/verify-vendor.sh
make: *** [Makefile:128: verify] Error 1
+ EXIT_VALUE=2
+ set +o xtrace
Cleaning up after docker in docker.
================================================================================
Cleaning up after docker
Stopping Docker: dockerProgram process in pidfile '/var/run/docker-ssd.pid', 1 process(es), refused to die.
... skipping 3 lines ...